/**
 * Sabino Custom JS Functionality
 *
 */
( function( $ ) {
    
    jQuery( document ).ready( function() {
        
        // Add button to sub-menu item to show nested pages / Only used on mobile
        $( '.main-navigation li.page_item_has_children, .main-navigation li.menu-item-has-children' ).prepend( '<span class="menu-dropdown-btn"><i class="fas fa-angle-down"></i></span>' );
        // Mobile nav button functionality
        $( '.menu-dropdown-btn' ).bind( 'click', function() {
            $(this).parent().toggleClass( 'open-page-item' );
        });
        // The menu button
        $( '.header-menu-button' ).click( function(e){
            $( 'body' ).toggleClass( 'show-main-menu' );
        });
        $( '.main-menu-close' ).click( function(e){
            $( '.header-menu-button' ).click();
        });
        
        // Show / Hide Search
        $( '.menu-search .fa-search.search-btn' ).toggle( function(){
            $('body').addClass('show-site-search');
            $( '.site-header .search-block' ).animate( { opacity: '1' }, 200 );
            $( '.site-header .search-field' ).focus();
        },function(){
            $( '.site-header .search-block' ).animate( { opacity: '0' }, 200, function() {
                $('body').removeClass('show-site-search');
            });
        });
		
    });
    
    $(window).resize(function () {
        
        $( '.home-slider-block-inner').height( $( '.home-slider-block-bg').outerHeight() );
        
    }).resize();
    
    $(window).load(function() {
        
        sabino_home_slider();
        
    });
    
    // Home Page Slider
    function sabino_home_slider() {
        $( '.home-slider' ).carouFredSel({
            responsive: true,
            circular: true,
            infinite: false,
            width: 1200,
            height: 'variable',
            items: {
                visible: 1,
                width: 1200,
                height: 'variable'
            },
            onCreate: function(items) {
                $( '.home-slider-wrap' ).removeClass( 'home-slider-remove' );
                $( '.home-slider-block-inner').height( $( '.home-slider-block-bg').outerHeight() );
            },
            scroll: {
                fx: 'uncover-fade',
                duration: 450
            },
            auto: 6500,
            pagination: '.home-slider-pager',
            prev: '.home-slider-prev',
            next: '.home-slider-next'
        });
    }
    
} )( jQuery );